@import "src/styles/";

.navbar {
  width: 100%;
  height: 8vh;
  background-color: $primary;
  backdrop-filter: blur(20px);
}

@media (min-width: $lg) {
  :host {
    padding: 25px;
  }

  .navbar {
    height: 100%;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
    display: grid;
    grid-template-rows: 10% auto;

    .nav-links {
      height: 100%;
      width: 100%;
      display: grid;
      grid-auto-rows: 50px;
      row-gap: 0;

      .active {
        background-color: #7e607d;
        opacity: 30%;
      }

      li {
        width: 100%;
        height: 100%;
        list-style: none;

        a {
          text-decoration: none;

          .link {
            width: 100%;
            display: flex;
            text-transform: capitalize;
            font-size: 16px;
            color: white;
            padding-left: 35px;
            height: 100%;
            align-items: center;
          }
        }
      }
    }
  }
}
